Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.scheduling.beans
Class ReportJobMailNotificationBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.scheduling.beans.ReportJobMailNotificationBean

    public class ReportJobMailNotificationBean

extends java.lang.Object

Version:
  $Id: ReportJobMailNotificationBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`ReportJobMailNotificationBean()`

Method Summary
`protected java.lang.String[]` | `copyAddressesFrom(java.util.List addresses)`
`protected java.util.List` | `copyAddressesTo(java.lang.String[] addresses)`
`void` | `copyFrom(ReportJobMailNotification mailNotification)`
`void` | `copyTo(ReportJobMailNotification mailNotification)`
`java.lang.String[]` | `getBccAddresses()`
`java.lang.String[]` | `getCcAddresses()`
`long` | `getId()`
`java.lang.String` | `getMessageText()`
`byte` | `getResultSendType()`
`java.lang.String` | `getSubject()`
`java.lang.String[]` | `getToAddresses()`
`int` | `getVersion()`
`boolean` | `isSkipEmptyReports()`
`void` | `setBccAddresses(java.lang.String[] bccAddresses)`
`void` | `setCcAddresses(java.lang.String[] ccAddresses)`
`void` | `setId(long id)`
`void` | `setMessageText(java.lang.String messageText)`
`void` | `setResultSendType(byte resultSendType)`
`void` | `setSkipEmptyReports(boolean skipEmptyReports)`
`void` | `setSubject(java.lang.String subject)`
`void` | `setToAddresses(java.lang.String[] toAddresses)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportJobMailNotificationBean

    public ReportJobMailNotificationBean()

Method Detail

### copyFrom

    public void copyFrom(ReportJobMailNotification mailNotification)

### copyAddressesFrom

    protected java.lang.String[] copyAddressesFrom(java.util.List addresses)

### copyTo

    public void copyTo(ReportJobMailNotification mailNotification)

### copyAddressesTo

    protected java.util.List copyAddressesTo(java.lang.String[] addresses)

### getId

    public long getId()

### setId

    public void setId(long id)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getToAddresses

    public java.lang.String[] getToAddresses()

### setToAddresses

    public void setToAddresses(java.lang.String[] toAddresses)

### getCcAddresses

    public java.lang.String[] getCcAddresses()

### setCcAddresses

    public void setCcAddresses(java.lang.String[] ccAddresses)

### getBccAddresses

    public java.lang.String[] getBccAddresses()

### setBccAddresses

    public void setBccAddresses(java.lang.String[] bccAddresses)

### getSubject

    public java.lang.String getSubject()

### setSubject

    public void setSubject(java.lang.String subject)

### getMessageText

    public java.lang.String getMessageText()

### setMessageText

    public void setMessageText(java.lang.String messageText)

### getResultSendType

    public byte getResultSendType()

### setResultSendType

    public void setResultSendType(byte resultSendType)

### isSkipEmptyReports

    public boolean isSkipEmptyReports()

### setSkipEmptyReports

    public void setSkipEmptyReports(boolean skipEmptyReports)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.